fishjam.composition
FileSource​
FileSource = bytes | str | pathlib._local.Path
Where an upload comes from: the bytes themselves, or a path to read them from.
ImageSpec​
ImageSpec = ImageSpecAuto | ImageSpecGif | ImageSpecJpeg | ImageSpecPng | ImageSpecSvg
How an image is fetched and decoded, one member per asset type.
RegisterInput​
RegisterInput = Mp4Input | RtmpInput | WhepInput | WhipInput
Configuration of a media source, one member per input type.
RegisterOutput​
RegisterOutput = RtmpOutput | WhipOutput
Configuration of a destination, one member per output type.
AudioChannels​
class AudioChannels(str, enum.Enum):
None
MONO​
MONO = <AudioChannels.MONO: 'mono'>
STEREO​
STEREO = <AudioChannels.STEREO: 'stereo'>
Inherited Members​
- Enum:
namevalue
AudioMixingStrategy​
class AudioMixingStrategy(str, enum.Enum):
None
SUM_CLIP​
SUM_CLIP = <AudioMixingStrategy.SUM_CLIP: 'sum_clip'>
SUM_SCALE​
SUM_SCALE = <AudioMixingStrategy.SUM_SCALE: 'sum_scale'>
Inherited Members​
- Enum:
namevalue
AudioScene​
class AudioScene:
Attributes:
- inputs (list[AudioSceneInput]):
init​
def __init__( inputs: list[AudioSceneInput] )
Method generated by attrs for class AudioScene.
inputs​
inputs: list[AudioSceneInput]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
AudioSceneInput​
class AudioSceneInput:
Attributes:
- input_id (str):
- volume (float | None | Unset): (default=
1.0) float in[0, 2]range representing input volume
init​
def __init__( input_id: str, volume: float | None | Unset = <Unset object> )
Method generated by attrs for class AudioSceneInput.
input_id​
input_id: str
volume​
volume: float | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
AverageAndMaxBitrate​
class AverageAndMaxBitrate:
Attributes:
- average_bitrate (int): Average bitrate measured in bits/second. Encoder will try to keep the bitrate around the provided average, but may temporarily increase it to the provided max bitrate.
- max_bitrate (int): Max bitrate measured in bits/second.
init​
def __init__(average_bitrate: int, max_bitrate: int)
Method generated by attrs for class AverageAndMaxBitrate.
average_bitrate​
average_bitrate: int
max_bitrate​
max_bitrate: int
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
BoxShadow​
class BoxShadow:
Attributes:
- offset_x (float | None | Unset):
- offset_y (float | None | Unset):
- color (None | str | Unset):
- blur_radius (float | None | Unset):
init​
def __init__( offset_x: float | None | Unset = <Unset object>, offset_y: float | None | Unset = <Unset object>, color: None | str | Unset = <Unset object>, blur_radius: float | None | Unset = <Unset object> )
Method generated by attrs for class BoxShadow.
offset_x​
offset_x: float | None | Unset
offset_y​
offset_y: float | None | Unset
color​
color: None | str | Unset
blur_radius​
blur_radius: float | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
CompositionCreatedResponse​
class CompositionCreatedResponse:
Attributes:
- composition_id (str):
- api_url (str):
init​
def __init__(composition_id: str, api_url: str)
Method generated by attrs for class CompositionCreatedResponse.
composition_id​
composition_id: str
api_url​
api_url: str
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
CreateCompositionRequest​
class CreateCompositionRequest:
Attributes:
- autostart (bool | Unset): If true, outputs will immediately start producing audio and video.
If false, call
POST /api/composition/{composition_id}/startto start the composition. Default: True. - cleanup_without_inputs (bool | Unset): If true (default), the composition will be cleaned up after 5 minutes when all inputs have zero bitrate, regardless of output bitrate. This prevents circular liveness when composition output is sent to a stream. If false, cleanup only triggers when both inputs and outputs have zero bitrate. Default: True.
init​
def __init__( autostart: bool | Unset = True, cleanup_without_inputs: bool | Unset = True )
Method generated by attrs for class CreateCompositionRequest.
autostart​
autostart: bool | Unset
cleanup_without_inputs​
cleanup_without_inputs: bool | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
EasingFunctionBounce​
class EasingFunctionBounce:
Attributes:
- function_name (EasingFunctionBounceFunctionName):
init​
def __init__( function_name: EasingFunctionBounceFunctionName )
Method generated by attrs for class EasingFunctionBounce.
function_name​
function_name: EasingFunctionBounceFunctionName
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
EasingFunctionBounceFunctionName​
class EasingFunctionBounceFunctionName(str, enum.Enum):
None
BOUNCE​
BOUNCE = <EasingFunctionBounceFunctionName.BOUNCE: 'bounce'>
Inherited Members​
- Enum:
namevalue
EasingFunctionCubicBezier​
class EasingFunctionCubicBezier:
Attributes:
- points (list[float]):
- function_name (EasingFunctionCubicBezierFunctionName):
init​
def __init__( points: list[float], function_name: EasingFunctionCubicBezierFunctionName )
Method generated by attrs for class EasingFunctionCubicBezier.
points​
points: list[float]
function_name​
function_name: EasingFunctionCubicBezierFunctionName
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
EasingFunctionCubicBezierFunctionName​
class EasingFunctionCubicBezierFunctionName(str, enum.Enum):
None
CUBIC_BEZIER​
CUBIC_BEZIER = <EasingFunctionCubicBezierFunctionName.CUBIC_BEZIER: 'cubic_bezier'>
Inherited Members​
- Enum:
namevalue
EasingFunctionLinear​
class EasingFunctionLinear:
Attributes:
- function_name (EasingFunctionLinearFunctionName):
init​
def __init__( function_name: EasingFunctionLinearFunctionName )
Method generated by attrs for class EasingFunctionLinear.
function_name​
function_name: EasingFunctionLinearFunctionName
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
EasingFunctionLinearFunctionName​
class EasingFunctionLinearFunctionName(str, enum.Enum):
None
LINEAR​
LINEAR = <EasingFunctionLinearFunctionName.LINEAR: 'linear'>
Inherited Members​
- Enum:
namevalue
FontUpload​
class FontUpload:
Attributes:
- font (File):
init​
def __init__(font: File)
Method generated by attrs for class FontUpload.
font​
font: File
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
H264EncoderPreset​
class H264EncoderPreset(str, enum.Enum):
None
FAST​
FAST = <H264EncoderPreset.FAST: 'fast'>
FASTER​
FASTER = <H264EncoderPreset.FASTER: 'faster'>
MEDIUM​
MEDIUM = <H264EncoderPreset.MEDIUM: 'medium'>
PLACEBO​
PLACEBO = <H264EncoderPreset.PLACEBO: 'placebo'>
SLOW​
SLOW = <H264EncoderPreset.SLOW: 'slow'>
SLOWER​
SLOWER = <H264EncoderPreset.SLOWER: 'slower'>
SUPERFAST​
SUPERFAST = <H264EncoderPreset.SUPERFAST: 'superfast'>
ULTRAFAST​
ULTRAFAST = <H264EncoderPreset.ULTRAFAST: 'ultrafast'>
VERYFAST​
VERYFAST = <H264EncoderPreset.VERYFAST: 'veryfast'>
VERYSLOW​
VERYSLOW = <H264EncoderPreset.VERYSLOW: 'veryslow'>
Inherited Members​
- Enum:
namevalue
HorizontalAlign​
class HorizontalAlign(str, enum.Enum):
None
CENTER​
CENTER = <HorizontalAlign.CENTER: 'center'>
JUSTIFIED​
JUSTIFIED = <HorizontalAlign.JUSTIFIED: 'justified'>
LEFT​
LEFT = <HorizontalAlign.LEFT: 'left'>
RIGHT​
RIGHT = <HorizontalAlign.RIGHT: 'right'>
Inherited Members​
- Enum:
namevalue
Image​
class Image:
Attributes:
- image_id (str):
- type_ (ImageType):
- id (None | str | Unset):
- width (float | None | Unset): Width of the image in pixels.
If
heightis not explicitly provided, the image will automatically adjust its height to maintain its original aspect ratio relative to the width. - height (float | None | Unset): Height of the image in pixels.
If
widthis not explicitly provided, the image will automatically adjust its width to maintain its original aspect ratio relative to the height.
init​
def __init__( image_id: str, type_: ImageType, id: None | str | Unset = <Unset object>, width: float | None | Unset = <Unset object>, height: float | None | Unset = <Unset object> )
Method generated by attrs for class Image.
image_id​
image_id: str
type_​
type_: ImageType
id​
id: None | str | Unset
width​
width: float | None | Unset
height​
height: float | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
ImageSpecAuto​
class ImageSpecAuto:
Attributes:
- url (str):
- asset_type (ImageSpecAutoAssetType):
init​
def __init__( url: str, asset_type: ImageSpecAutoAssetType )
Method generated by attrs for class ImageSpecAuto.
url​
url: str
asset_type​
asset_type: ImageSpecAutoAssetType
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
ImageSpecAutoAssetType​
class ImageSpecAutoAssetType(str, enum.Enum):
None
AUTO​
AUTO = <ImageSpecAutoAssetType.AUTO: 'auto'>
Inherited Members​
- Enum:
namevalue
ImageSpecGif​
class ImageSpecGif:
Attributes:
- url (str):
- asset_type (ImageSpecGifAssetType):
init​
def __init__( url: str, asset_type: ImageSpecGifAssetType )
Method generated by attrs for class ImageSpecGif.
url​
url: str
asset_type​
asset_type: ImageSpecGifAssetType
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
ImageSpecGifAssetType​
class ImageSpecGifAssetType(str, enum.Enum):
None
GIF​
GIF = <ImageSpecGifAssetType.GIF: 'gif'>
Inherited Members​
- Enum:
namevalue
ImageSpecJpeg​
class ImageSpecJpeg:
Attributes:
- url (str):
- asset_type (ImageSpecJpegAssetType):
init​
def __init__( url: str, asset_type: ImageSpecJpegAssetType )
Method generated by attrs for class ImageSpecJpeg.
url​
url: str
asset_type​
asset_type: ImageSpecJpegAssetType
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
ImageSpecJpegAssetType​
class ImageSpecJpegAssetType(str, enum.Enum):
None
JPEG​
JPEG = <ImageSpecJpegAssetType.JPEG: 'jpeg'>
Inherited Members​
- Enum:
namevalue
ImageSpecPng​
class ImageSpecPng:
Attributes:
- url (str):
- asset_type (ImageSpecPngAssetType):
init​
def __init__( url: str, asset_type: ImageSpecPngAssetType )
Method generated by attrs for class ImageSpecPng.
url​
url: str
asset_type​
asset_type: ImageSpecPngAssetType
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
ImageSpecPngAssetType​
class ImageSpecPngAssetType(str, enum.Enum):
None
PNG​
PNG = <ImageSpecPngAssetType.PNG: 'png'>
Inherited Members​
- Enum:
namevalue
ImageSpecSvg​
class ImageSpecSvg:
Attributes:
- url (str):
- asset_type (ImageSpecSvgAssetType):
- resolution (None | Resolution | Unset):
init​
def __init__( url: str, asset_type: ImageSpecSvgAssetType, resolution: None | Resolution | Unset = <Unset object> )
Method generated by attrs for class ImageSpecSvg.
url​
url: str
asset_type​
asset_type: ImageSpecSvgAssetType
resolution​
resolution: None | Resolution | Unset
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
ImageSpecSvgAssetType​
class ImageSpecSvgAssetType(str, enum.Enum):
None
SVG​
SVG = <ImageSpecSvgAssetType.SVG: 'svg'>
Inherited Members​
- Enum:
namevalue
ImageType​
class ImageType(str, enum.Enum):
None
IMAGE​
IMAGE = <ImageType.IMAGE: 'image'>
Inherited Members​
- Enum:
namevalue
InputStream​
class InputStream:
Attributes:
- input_id (str):
- type_ (InputStreamType):
- id (None | str | Unset):
init​
def __init__( input_id: str, type_: InputStreamType, id: None | str | Unset = <Unset object> )
Method generated by attrs for class InputStream.
input_id​
input_id: str
type_​
type_: InputStreamType
id​
id: None | str | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
InputStreamType​
class InputStreamType(str, enum.Enum):
None
INPUT_STREAM​
INPUT_STREAM = <InputStreamType.INPUT_STREAM: 'input_stream'>
Inherited Members​
- Enum:
namevalue
Interpolation​
class Interpolation(str, enum.Enum):
None
LINEAR​
LINEAR = <Interpolation.LINEAR: 'linear'>
SPRING​
SPRING = <Interpolation.SPRING: 'spring'>
Inherited Members​
- Enum:
namevalue
Mp4Input​
class Mp4Input:
Input stream from an MP4 file.
Attributes:
- url (str): URL of the MP4 file.
- type_ (Mp4InputType):
- loop (bool | None | Unset): (default=
false) If input should be played in the loop. <span class="badge badge--primary">Added in v0.4.0</span>
init​
def __init__( url: str, type_: Mp4InputType, loop: bool | None | Unset = <Unset object> )
Method generated by attrs for class Mp4Input.
url​
url: str
type_​
type_: Mp4InputType
loop​
loop: bool | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
Mp4InputType​
class Mp4InputType(str, enum.Enum):
None
MP4​
MP4 = <Mp4InputType.MP4: 'mp4'>
Inherited Members​
- Enum:
namevalue
OpusEncoderPreset​
class OpusEncoderPreset(str, enum.Enum):
None
LOWEST_LATENCY​
LOWEST_LATENCY = <OpusEncoderPreset.LOWEST_LATENCY: 'lowest_latency'>
QUALITY​
QUALITY = <OpusEncoderPreset.QUALITY: 'quality'>
VOIP​
VOIP = <OpusEncoderPreset.VOIP: 'voip'>
Inherited Members​
- Enum:
namevalue
OutputEndCondition​
class OutputEndCondition:
This type defines when end of an input stream should trigger end of the output stream. Only one of those fields can be set at the time. Unless specified otherwise the input stream is considered finished/ended when:
-
TCP connection was dropped/closed.
-
RTCP Goodbye packet (
BYE) was received. -
Mp4 track has ended.
-
Input was unregistered already (or never registered).
-
Attributes: any_of (list[str] | None | Unset): Terminate output stream if any of the input streams from the list are
-
finished. all_of (list[str] | None | Unset): Terminate output stream if all the input streams from the list are finished. any_input (bool | None | Unset): Terminate output stream if any of the input streams ends. This includes streams
-
added after the output was registered. In particular, output stream will not be terminated if no inputs were
-
ever connected. all_inputs (bool | None | Unset): Terminate output stream if all the input streams finish. In particular, output
-
stream will be terminated if no inputs were ever connected.
init​
def __init__( any_of: list[str] | None | Unset = <Unset object>, all_of: list[str] | None | Unset = <Unset object>, any_input: bool | None | Unset = <Unset object>, all_inputs: bool | None | Unset = <Unset object> )
Method generated by attrs for class OutputEndCondition.
any_of​
any_of: list[str] | None | Unset
all_of​
all_of: list[str] | None | Unset
any_input​
any_input: bool | None | Unset
all_inputs​
all_inputs: bool | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
OutputRtmpClientAudioOptions​
class OutputRtmpClientAudioOptions:
Attributes:
- initial (AudioScene):
- mixing_strategy (AudioMixingStrategy | None | Unset):
- send_eos_when (None | OutputEndCondition | Unset):
- channels (AudioChannels | None | Unset):
init​
def __init__( initial: AudioScene, mixing_strategy: AudioMixingStrategy | None | Unset = <Unset object>, send_eos_when: None | OutputEndCondition | Unset = <Unset object>, channels: AudioChannels | None | Unset = <Unset object> )
Method generated by attrs for class OutputRtmpClientAudioOptions.
initial​
initial: AudioScene
mixing_strategy​
mixing_strategy: AudioMixingStrategy | None | Unset
send_eos_when​
send_eos_when: None | OutputEndCondition | Unset
channels​
channels: AudioChannels | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
OutputRtmpClientVideoOptions​
class OutputRtmpClientVideoOptions:
Attributes:
- resolution (Resolution):
- initial (VideoScene):
- send_eos_when (None | OutputEndCondition | Unset):
init​
def __init__( resolution: Resolution, initial: VideoScene, send_eos_when: None | OutputEndCondition | Unset = <Unset object> )
Method generated by attrs for class OutputRtmpClientVideoOptions.
resolution​
resolution: Resolution
initial​
initial: VideoScene
send_eos_when​
send_eos_when: None | OutputEndCondition | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
OutputWhipAudioOptions​
class OutputWhipAudioOptions:
Attributes:
- initial (AudioScene):
- mixing_strategy (AudioMixingStrategy | None | Unset):
- send_eos_when (None | OutputEndCondition | Unset):
- channels (AudioChannels | None | Unset):
- encoder_preferences (list[WhipAudioEncoderOptionsAny | WhipAudioEncoderOptionsOpus] | None | Unset): Codec preferences list.
init​
def __init__( initial: AudioScene, mixing_strategy: AudioMixingStrategy | None | Unset = <Unset object>, send_eos_when: None | OutputEndCondition | Unset = <Unset object>, channels: AudioChannels | None | Unset = <Unset object>, encoder_preferences: list[WhipAudioEncoderOptionsAny | WhipAudioEncoderOptionsOpus] | None | Unset = <Unset object> )
Method generated by attrs for class OutputWhipAudioOptions.
initial​
initial: AudioScene
mixing_strategy​
mixing_strategy: AudioMixingStrategy | None | Unset
send_eos_when​
send_eos_when: None | OutputEndCondition | Unset
channels​
channels: AudioChannels | None | Unset
encoder_preferences​
encoder_preferences: list[WhipAudioEncoderOptionsAny | WhipAudioEncoderOptionsOpus] | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
OutputWhipVideoOptions​
class OutputWhipVideoOptions:
Attributes:
- resolution (Resolution):
- initial (VideoScene):
- send_eos_when (None | OutputEndCondition | Unset):
init​
def __init__( resolution: Resolution, initial: VideoScene, send_eos_when: None | OutputEndCondition | Unset = <Unset object> )
Method generated by attrs for class OutputWhipVideoOptions.
resolution​
resolution: Resolution
initial​
initial: VideoScene
send_eos_when​
send_eos_when: None | OutputEndCondition | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
Overflow​
class Overflow(str, enum.Enum):
None
FIT​
FIT = <Overflow.FIT: 'fit'>
HIDDEN​
HIDDEN = <Overflow.HIDDEN: 'hidden'>
VISIBLE​
VISIBLE = <Overflow.VISIBLE: 'visible'>
Inherited Members​
- Enum:
namevalue
PixelFormat​
class PixelFormat(str, enum.Enum):
None
YUV420P​
YUV420P = <PixelFormat.YUV420P: 'yuv420p'>
YUV422P​
YUV422P = <PixelFormat.YUV422P: 'yuv422p'>
YUV444P​
YUV444P = <PixelFormat.YUV444P: 'yuv444p'>
Inherited Members​
- Enum:
namevalue
RegisterInputResponse​
class RegisterInputResponse:
Attributes:
- bearer_token (None | str | Unset):
- endpoint_route (None | str | Unset):
- video_duration_ms (int | None | Unset):
- audio_duration_ms (int | None | Unset):
- publish_url (None | str | Unset):
init​
def __init__( bearer_token: None | str | Unset = <Unset object>, endpoint_route: None | str | Unset = <Unset object>, video_duration_ms: int | None | Unset = <Unset object>, audio_duration_ms: int | None | Unset = <Unset object>, publish_url: None | str | Unset = <Unset object> )
Method generated by attrs for class RegisterInputResponse.
bearer_token​
bearer_token: None | str | Unset
endpoint_route​
endpoint_route: None | str | Unset
video_duration_ms​
video_duration_ms: int | None | Unset
audio_duration_ms​
audio_duration_ms: int | None | Unset
publish_url​
publish_url: None | str | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
RegisterTemplateOutput​
class RegisterTemplateOutput:
Attributes:
- config (RtmpOutput | WhipOutput):
- template (File):
init​
def __init__( config: RtmpOutput | WhipOutput, template: File )
Method generated by attrs for class RegisterTemplateOutput.
config​
config: RtmpOutput | WhipOutput
template​
template: File
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
RescaleMode​
class RescaleMode(str, enum.Enum):
None
FILL​
FILL = <RescaleMode.FILL: 'fill'>
FIT​
FIT = <RescaleMode.FIT: 'fit'>
Inherited Members​
- Enum:
namevalue
Rescaler​
class Rescaler:
Attributes:
- child (Image | InputStream | Rescaler | Text | Tiles | View):
- type_ (RescalerType):
- id (None | str | Unset):
- mode (None | RescaleMode | Unset):
- horizontal_align (HorizontalAlign | None | Unset):
- vertical_align (None | Unset | VerticalAlign):
- width (float | None | Unset): Width of a component in pixels (without a border). Exact behavior might be
different
based on the parent component:
- If the parent component is a layout, check sections "Absolute positioning" and "Static
- positioning" of that component.
- If the parent component is not a layout, then this field is required.
- height (float | None | Unset): Height of a component in pixels (without a border). Exact behavior might be
different
based on the parent component:
- If the parent component is a layout, check sections "Absolute positioning" and "Static
- positioning" of that component.
- If the parent component is not a layout, then this field is required.
- top (float | None | Unset): Distance in pixels between this component's top edge and its parent's top edge (including a border). If this field is defined, then the component will ignore a layout defined by its parent.
- left (float | None | Unset): Distance in pixels between this component's left edge and its parent's left edge (including a border). If this field is defined, this element will be absolutely positioned, instead of being laid out by its parent.
- bottom (float | None | Unset): Distance in pixels between the bottom edge of this component and the bottom edge of its parent (including a border). If this field is defined, this element will be absolutely positioned, instead of being laid out by its parent.
- right (float | None | Unset): Distance in pixels between this component's right edge and its parent's right edge. If this field is defined, this element will be absolutely positioned, instead of being laid out by its parent.
- rotation (float | None | Unset): Rotation of a component in degrees. If this field is defined, this element will be absolutely positioned, instead of being laid out by its parent.
- transition (None | Transition | Unset):
- border_radius (float | None | Unset): (default=
0.0) Radius of a rounded corner. - border_width (float | None | Unset): (default=
0.0) Border width. - border_color (None | str | Unset):
- box_shadow (list[BoxShadow] | None | Unset): List of box shadows.
init​
def __init__( child: Image | InputStream | Rescaler | Text | Tiles | View, type_: RescalerType, id: None | str | Unset = <Unset object>, mode: None | RescaleMode | Unset = <Unset object>, horizontal_align: HorizontalAlign | None | Unset = <Unset object>, vertical_align: None | Unset | VerticalAlign = <Unset object>, width: float | None | Unset = <Unset object>, height: float | None | Unset = <Unset object>, top: float | None | Unset = <Unset object>, left: float | None | Unset = <Unset object>, bottom: float | None | Unset = <Unset object>, right: float | None | Unset = <Unset object>, rotation: float | None | Unset = <Unset object>, transition: None | Transition | Unset = <Unset object>, border_radius: float | None | Unset = <Unset object>, border_width: float | None | Unset = <Unset object>, border_color: None | str | Unset = <Unset object>, box_shadow: list[BoxShadow] | None | Unset = <Unset object> )
Method generated by attrs for class Rescaler.
child​
child: Image | InputStream | Rescaler | Text | Tiles | View
type_​
type_: RescalerType
id​
id: None | str | Unset
mode​
mode: None | RescaleMode | Unset
horizontal_align​
horizontal_align: HorizontalAlign | None | Unset
vertical_align​
vertical_align: None | Unset | VerticalAlign
width​
width: float | None | Unset
height​
height: float | None | Unset
top​
top: float | None | Unset
left​
left: float | None | Unset
bottom​
bottom: float | None | Unset
right​
right: float | None | Unset
rotation​
rotation: float | None | Unset
transition​
transition: None | Transition | Unset
border_radius​
border_radius: float | None | Unset
border_width​
border_width: float | None | Unset
border_color​
border_color: None | str | Unset
box_shadow​
box_shadow: list[BoxShadow] | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
RescalerType​
class RescalerType(str, enum.Enum):
None
RESCALER​
RESCALER = <RescalerType.RESCALER: 'rescaler'>
Inherited Members​
- Enum:
namevalue
Resolution​
class Resolution:
Attributes:
- width (int): Width in pixels.
- height (int): Height in pixels.
init​
def __init__(width: int, height: int)
Method generated by attrs for class Resolution.
width​
width: int
height​
height: int
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
RtmpInput​
class RtmpInput:
Attributes:
- stream_key (str): The RTMP stream key.
This is the path segment of the RTMP stream URL that Smelter listens on for incoming streams.
Format:
rtmp://<ip_address>:<port>/<stream_key> - type_ (RtmpInputType):
init​
def __init__( stream_key: str, type_: RtmpInputType )
Method generated by attrs for class RtmpInput.
stream_key​
stream_key: str
type_​
type_: RtmpInputType
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
RtmpInputType​
class RtmpInputType(str, enum.Enum):
None
RTMP_SERVER​
RTMP_SERVER = <RtmpInputType.RTMP_SERVER: 'rtmp_server'>
Inherited Members​
- Enum:
namevalue
RtmpOutput​
class RtmpOutput:
Attributes:
- url (str): RTMP endpoint url.
- type_ (RtmpOutputType):
- video (None | OutputRtmpClientVideoOptions | Unset):
- audio (None | OutputRtmpClientAudioOptions | Unset):
init​
def __init__( url: str, type_: RtmpOutputType, video: None | OutputRtmpClientVideoOptions | Unset = <Unset object>, audio: None | OutputRtmpClientAudioOptions | Unset = <Unset object> )
Method generated by attrs for class RtmpOutput.
url​
url: str
type_​
type_: RtmpOutputType
video​
video: None | OutputRtmpClientVideoOptions | Unset
audio​
audio: None | OutputRtmpClientAudioOptions | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
RtmpOutputType​
class RtmpOutputType(str, enum.Enum):
None
RTMP_CLIENT​
RTMP_CLIENT = <RtmpOutputType.RTMP_CLIENT: 'rtmp_client'>
Inherited Members​
- Enum:
namevalue
Text​
class Text:
Attributes:
- text (str): Text that will be rendered.
- font_size (float): Font size in pixels.
- type_ (TextType):
- id (None | str | Unset):
- width (float | None | Unset): Width of a texture that text will be rendered on. If not provided, the resulting
texture
will be sized based on the defined text but limited to
max_widthvalue. - height (float | None | Unset): Height of a texture that text will be rendered on. If not provided, the resulting
texture
will be sized based on the defined text but limited to
max_heightvalue. It's an error to provideheightifwidthis not defined. - max_width (float | None | Unset): (default=
7682) Maximalwidth. Limits the width of the texture that the text will be rendered on. Value is ignored ifwidthis defined. - max_height (float | None | Unset): (default=
4320) Maximalheight. Limits the height of the texture that the text will be rendered on. Value is ignored if height is defined. - line_height (float | None | Unset): Distance between lines in pixels. Defaults to the value of the
font_sizeproperty. - color (None | str | Unset):
- background_color (None | str | Unset):
- font_family (None | str | Unset): (default=
"Verdana") Font family. Provide family- name for a specific font. "generic-family" values like e.g. "sans-serif" will not work. - style (None | TextStyle | Unset):
- align (HorizontalAlign | None | Unset):
- wrap (None | TextWrapMode | Unset):
- weight (None | TextWeight | Unset):
init​
def __init__( text: str, font_size: float, type_: TextType, id: None | str | Unset = <Unset object>, width: float | None | Unset = <Unset object>, height: float | None | Unset = <Unset object>, max_width: float | None | Unset = <Unset object>, max_height: float | None | Unset = <Unset object>, line_height: float | None | Unset = <Unset object>, color: None | str | Unset = <Unset object>, background_color: None | str | Unset = <Unset object>, font_family: None | str | Unset = <Unset object>, style: None | TextStyle | Unset = <Unset object>, align: HorizontalAlign | None | Unset = <Unset object>, wrap: None | TextWrapMode | Unset = <Unset object>, weight: None | TextWeight | Unset = <Unset object> )
Method generated by attrs for class Text.
text​
text: str
font_size​
font_size: float
type_​
type_: TextType
id​
id: None | str | Unset
width​
width: float | None | Unset
height​
height: float | None | Unset
max_width​
max_width: float | None | Unset
max_height​
max_height: float | None | Unset
line_height​
line_height: float | None | Unset
color​
color: None | str | Unset
background_color​
background_color: None | str | Unset
font_family​
font_family: None | str | Unset
style​
style: None | TextStyle | Unset
align​
align: HorizontalAlign | None | Unset
wrap​
wrap: None | TextWrapMode | Unset
weight​
weight: None | TextWeight | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
TextStyle​
class TextStyle(str, enum.Enum):
None
ITALIC​
ITALIC = <TextStyle.ITALIC: 'italic'>
NORMAL​
NORMAL = <TextStyle.NORMAL: 'normal'>
OBLIQUE​
OBLIQUE = <TextStyle.OBLIQUE: 'oblique'>
Inherited Members​
- Enum:
namevalue
TextType​
class TextType(str, enum.Enum):
None
TEXT​
TEXT = <TextType.TEXT: 'text'>
Inherited Members​
- Enum:
namevalue
TextWeight​
class TextWeight(str, enum.Enum):
Font weight, based on the OpenType specification.
BLACK​
BLACK = <TextWeight.BLACK: 'black'>
BOLD​
BOLD = <TextWeight.BOLD: 'bold'>
EXTRA_BOLD​
EXTRA_BOLD = <TextWeight.EXTRA_BOLD: 'extra_bold'>
EXTRA_LIGHT​
EXTRA_LIGHT = <TextWeight.EXTRA_LIGHT: 'extra_light'>
LIGHT​
LIGHT = <TextWeight.LIGHT: 'light'>
MEDIUM​
MEDIUM = <TextWeight.MEDIUM: 'medium'>
NORMAL​
NORMAL = <TextWeight.NORMAL: 'normal'>
SEMI_BOLD​
SEMI_BOLD = <TextWeight.SEMI_BOLD: 'semi_bold'>
THIN​
THIN = <TextWeight.THIN: 'thin'>
Inherited Members​
- Enum:
namevalue
TextWrapMode​
class TextWrapMode(str, enum.Enum):
None
GLYPH​
GLYPH = <TextWrapMode.GLYPH: 'glyph'>
NONE​
NONE = <TextWrapMode.NONE: 'none'>
WORD​
WORD = <TextWrapMode.WORD: 'word'>
Inherited Members​
- Enum:
namevalue
Tiles​
class Tiles:
Attributes:
- type_ (TilesType):
- id (None | str | Unset):
- children (list[Image | InputStream | Rescaler | Text | Tiles | View] | None | Unset): List of component's children.
- width (float | None | Unset): Width of a component in pixels. Exact behavior might be different based on the
parent
component:
- If the parent component is a layout, check sections "Absolute positioning" and "Static
- positioning" of that component.
- If the parent component is not a layout, then this field is required.
- height (float | None | Unset): Height of a component in pixels. Exact behavior might be different based on the
parent
component:
- If the parent component is a layout, check sections "Absolute positioning" and "Static
- positioning" of that component.
- If the parent component is not a layout, then this field is required.
- background_color (None | str | Unset):
- tile_aspect_ratio (None | str | Unset):
- margin (float | None | Unset): (default=
0) Margin of each tile in pixels. - padding (float | None | Unset): (default=
0) Padding on each tile in pixels. - horizontal_align (HorizontalAlign | None | Unset):
- vertical_align (None | Unset | VerticalAlign):
- transition (None | Transition | Unset):
init​
def __init__( type_: TilesType, id: None | str | Unset = <Unset object>, children: list[Image | InputStream | Rescaler | Text | Tiles | View] | None | Unset = <Unset object>, width: float | None | Unset = <Unset object>, height: float | None | Unset = <Unset object>, background_color: None | str | Unset = <Unset object>, tile_aspect_ratio: None | str | Unset = <Unset object>, margin: float | None | Unset = <Unset object>, padding: float | None | Unset = <Unset object>, horizontal_align: HorizontalAlign | None | Unset = <Unset object>, vertical_align: None | Unset | VerticalAlign = <Unset object>, transition: None | Transition | Unset = <Unset object> )
Method generated by attrs for class Tiles.
type_​
type_: TilesType
id​
id: None | str | Unset
children​
children: list[Image | InputStream | Rescaler | Text | Tiles | View] | None | Unset
width​
width: float | None | Unset
height​
height: float | None | Unset
background_color​
background_color: None | str | Unset
tile_aspect_ratio​
tile_aspect_ratio: None | str | Unset
margin​
margin: float | None | Unset
padding​
padding: float | None | Unset
horizontal_align​
horizontal_align: HorizontalAlign | None | Unset
vertical_align​
vertical_align: None | Unset | VerticalAlign
transition​
transition: None | Transition | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
TilesType​
class TilesType(str, enum.Enum):
None
TILES​
TILES = <TilesType.TILES: 'tiles'>
Inherited Members​
- Enum:
namevalue
Transition​
class Transition:
Attributes:
- duration_ms (float): Duration of a transition in milliseconds.
- easing_function (EasingFunctionBounce | EasingFunctionCubicBezier | EasingFunctionLinear | None | Unset):
- should_interrupt (bool | None | Unset): (default=
false) On scene update, if there is already a transition in progress, it will be interrupted and the new transition will start from the current state.
init​
def __init__( duration_ms: float, easing_function: EasingFunctionBounce | EasingFunctionCubicBezier | EasingFunctionLinear | None | Unset = <Unset object>, should_interrupt: bool | None | Unset = <Unset object> )
Method generated by attrs for class Transition.
duration_ms​
duration_ms: float
easing_function​
easing_function: EasingFunctionBounce | EasingFunctionCubicBezier | EasingFunctionLinear | None | Unset
should_interrupt​
should_interrupt: bool | None | Unset
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
TransportProtocol​
class TransportProtocol(str, enum.Enum):
None
TCP_SERVER​
TCP_SERVER = <TransportProtocol.TCP_SERVER: 'tcp_server'>
UDP​
UDP = <TransportProtocol.UDP: 'udp'>
Inherited Members​
- Enum:
namevalue
UnregisterInput​
class UnregisterInput:
Attributes:
- schedule_time_ms (float | None | Unset): Time in milliseconds when this request should be applied. Value
0represents time of the start request.
init​
def __init__( schedule_time_ms: float | None | Unset = <Unset object> )
Method generated by attrs for class UnregisterInput.
schedule_time_ms​
schedule_time_ms: float | None | Unset
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
UnregisterOutput​
class UnregisterOutput:
Attributes:
- schedule_time_ms (float | None | Unset): Time in milliseconds when this request should be applied. Value
0represents time of the start request.
init​
def __init__( schedule_time_ms: float | None | Unset = <Unset object> )
Method generated by attrs for class UnregisterOutput.
schedule_time_ms​
schedule_time_ms: float | None | Unset
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
UnregisterRenderer​
class UnregisterRenderer:
Attributes:
- schedule_time_ms (float | None | Unset): Time in milliseconds when this request should be applied. Value
0represents time of the start request.
init​
def __init__( schedule_time_ms: float | None | Unset = <Unset object> )
Method generated by attrs for class UnregisterRenderer.
schedule_time_ms​
schedule_time_ms: float | None | Unset
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
UpdateOutputRequest​
class UpdateOutputRequest:
Attributes:
- video (None | Unset | VideoScene):
- audio (AudioScene | None | Unset):
- schedule_time_ms (float | None | Unset):
init​
def __init__( video: None | Unset | VideoScene = <Unset object>, audio: AudioScene | None | Unset = <Unset object>, schedule_time_ms: float | None | Unset = <Unset object> )
Method generated by attrs for class UpdateOutputRequest.
video​
video: None | Unset | VideoScene
audio​
audio: AudioScene | None | Unset
schedule_time_ms​
schedule_time_ms: float | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
VerticalAlign​
class VerticalAlign(str, enum.Enum):
None
BOTTOM​
BOTTOM = <VerticalAlign.BOTTOM: 'bottom'>
CENTER​
CENTER = <VerticalAlign.CENTER: 'center'>
JUSTIFIED​
JUSTIFIED = <VerticalAlign.JUSTIFIED: 'justified'>
TOP​
TOP = <VerticalAlign.TOP: 'top'>
Inherited Members​
- Enum:
namevalue
VideoScene​
class VideoScene:
Attributes:
- root (Image | InputStream | Rescaler | Text | Tiles | View):
init​
def __init__( root: Image | InputStream | Rescaler | Text | Tiles | View )
Method generated by attrs for class VideoScene.
root​
root: Image | InputStream | Rescaler | Text | Tiles | View
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
View​
class View:
Attributes:
- type_ (ViewType):
- id (None | str | Unset):
- children (list[Image | InputStream | Rescaler | Text | Tiles | View] | None | Unset): List of component's children.
- width (float | None | Unset): Width of a component in pixels (without a border). Exact behavior might be
different
based on the parent component:
- If the parent component is a layout, check sections "Absolute positioning" and "Static
- positioning" of that component.
- If the parent component is not a layout, then this field is required.
- height (float | None | Unset): Height of a component in pixels (without a border). Exact behavior might be
different
based on the parent component:
- If the parent component is a layout, check sections "Absolute positioning" and "Static
- positioning" of that component.
- If the parent component is not a layout, then this field is required.
- direction (None | Unset | ViewDirection):
- top (float | None | Unset): Distance in pixels between this component's top edge and its parent's top edge (including a border). If this field is defined, then the component will ignore a layout defined by its parent.
- left (float | None | Unset): Distance in pixels between this component's left edge and its parent's left edge (including a border). If this field is defined, this element will be absolutely positioned, instead of being laid out by its parent.
- bottom (float | None | Unset): Distance in pixels between the bottom edge of this component and the bottom edge of its parent (including a border). If this field is defined, this element will be absolutely positioned, instead of being laid out by its parent.
- right (float | None | Unset): Distance in pixels between this component's right edge and its parent's right edge. If this field is defined, this element will be absolutely positioned, instead of being laid out by its parent.
- rotation (float | None | Unset): Rotation of a component in degrees. If this field is defined, this element will be absolutely positioned, instead of being laid out by its parent.
- transition (None | Transition | Unset):
- overflow (None | Overflow | Unset):
- background_color (None | str | Unset):
- border_radius (float | None | Unset): (default=
0.0) Radius of a rounded corner. - border_width (float | None | Unset): (default=
0.0) Border width. - border_color (None | str | Unset):
- box_shadow (list[BoxShadow] | None | Unset): List of box shadows.
- padding (float | None | Unset): (default=
0.0) Padding for all sides of the component. - padding_vertical (float | None | Unset): (default=
0.0) Padding for the top and bottom of the component. - padding_horizontal (float | None | Unset): (default=
0.0) Padding for the left and right of the component. - padding_top (float | None | Unset): (default=
0.0) Padding on top side in pixels. - padding_right (float | None | Unset): (default=
0.0) Padding on right side in pixels. - padding_bottom (float | None | Unset): (default=
0.0) Padding on bottom side in pixels. - padding_left (float | None | Unset): (default=
0.0) Padding on left side in pixels.
init​
def __init__( type_: ViewType, id: None | str | Unset = <Unset object>, children: list[Image | InputStream | Rescaler | Text | Tiles | View] | None | Unset = <Unset object>, width: float | None | Unset = <Unset object>, height: float | None | Unset = <Unset object>, direction: None | Unset | ViewDirection = <Unset object>, top: float | None | Unset = <Unset object>, left: float | None | Unset = <Unset object>, bottom: float | None | Unset = <Unset object>, right: float | None | Unset = <Unset object>, rotation: float | None | Unset = <Unset object>, transition: None | Transition | Unset = <Unset object>, overflow: None | Overflow | Unset = <Unset object>, background_color: None | str | Unset = <Unset object>, border_radius: float | None | Unset = <Unset object>, border_width: float | None | Unset = <Unset object>, border_color: None | str | Unset = <Unset object>, box_shadow: list[BoxShadow] | None | Unset = <Unset object>, padding: float | None | Unset = <Unset object>, padding_vertical: float | None | Unset = <Unset object>, padding_horizontal: float | None | Unset = <Unset object>, padding_top: float | None | Unset = <Unset object>, padding_right: float | None | Unset = <Unset object>, padding_bottom: float | None | Unset = <Unset object>, padding_left: float | None | Unset = <Unset object> )
Method generated by attrs for class View.
type_​
type_: ViewType
id​
id: None | str | Unset
children​
children: list[Image | InputStream | Rescaler | Text | Tiles | View] | None | Unset
width​
width: float | None | Unset
height​
height: float | None | Unset
direction​
direction: None | Unset | ViewDirection
top​
top: float | None | Unset
left​
left: float | None | Unset
bottom​
bottom: float | None | Unset
right​
right: float | None | Unset
rotation​
rotation: float | None | Unset
transition​
transition: None | Transition | Unset
overflow​
overflow: None | Overflow | Unset
background_color​
background_color: None | str | Unset
border_radius​
border_radius: float | None | Unset
border_width​
border_width: float | None | Unset
border_color​
border_color: None | str | Unset
box_shadow​
box_shadow: list[BoxShadow] | None | Unset
padding​
padding: float | None | Unset
padding_vertical​
padding_vertical: float | None | Unset
padding_horizontal​
padding_horizontal: float | None | Unset
padding_top​
padding_top: float | None | Unset
padding_right​
padding_right: float | None | Unset
padding_bottom​
padding_bottom: float | None | Unset
padding_left​
padding_left: float | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
ViewDirection​
class ViewDirection(str, enum.Enum):
None
COLUMN​
COLUMN = <ViewDirection.COLUMN: 'column'>
ROW​
ROW = <ViewDirection.ROW: 'row'>
Inherited Members​
- Enum:
namevalue
ViewType​
class ViewType(str, enum.Enum):
None
VIEW​
VIEW = <ViewType.VIEW: 'view'>
Inherited Members​
- Enum:
namevalue
WhepInput​
class WhepInput:
Attributes:
- endpoint_url (str): WHEP server endpoint URL
- type_ (WhepInputType):
- bearer_token (None | str | Unset): Optional Bearer token for auth
- video (bool | None | Unset): If
true, requests a h264-encoded video track. If not provided, it defaults totrue
init​
def __init__( endpoint_url: str, type_: WhepInputType, bearer_token: None | str | Unset = <Unset object>, video: bool | None | Unset = <Unset object> )
Method generated by attrs for class WhepInput.
endpoint_url​
endpoint_url: str
type_​
type_: WhepInputType
bearer_token​
bearer_token: None | str | Unset
video​
video: bool | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
WhepInputType​
class WhepInputType(str, enum.Enum):
None
WHEP_CLIENT​
WHEP_CLIENT = <WhepInputType.WHEP_CLIENT: 'whep_client'>
Inherited Members​
- Enum:
namevalue
WhipAudioEncoderOptionsAny​
class WhipAudioEncoderOptionsAny:
Attributes:
- type_ (WhipAudioEncoderOptionsAnyType):
init​
def __init__( type_: WhipAudioEncoderOptionsAnyType )
Method generated by attrs for class WhipAudioEncoderOptionsAny.
type_​
type_: WhipAudioEncoderOptionsAnyType
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
WhipAudioEncoderOptionsAnyType​
class WhipAudioEncoderOptionsAnyType(str, enum.Enum):
None
ANY​
ANY = <WhipAudioEncoderOptionsAnyType.ANY: 'any'>
Inherited Members​
- Enum:
namevalue
WhipAudioEncoderOptionsOpus​
class WhipAudioEncoderOptionsOpus:
Attributes:
- type_ (WhipAudioEncoderOptionsOpusType):
- preset (None | OpusEncoderPreset | Unset):
- sample_rate (int | None | Unset): (default=
48000) Sample rate. Allowed values: [8000, 16000, 24000, 48000]. - forward_error_correction (bool | None | Unset): (default=
false) Specifies if forward error correction (FEC) should be used.
init​
def __init__( type_: WhipAudioEncoderOptionsOpusType, preset: None | OpusEncoderPreset | Unset = <Unset object>, sample_rate: int | None | Unset = <Unset object>, forward_error_correction: bool | None | Unset = <Unset object> )
Method generated by attrs for class WhipAudioEncoderOptionsOpus.
type_​
type_: WhipAudioEncoderOptionsOpusType
preset​
preset: None | OpusEncoderPreset | Unset
sample_rate​
sample_rate: int | None | Unset
forward_error_correction​
forward_error_correction: bool | None | Unset
additional_properties​
additional_properties: dict[str, typing.Any]
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
additional_keys​
additional_keys: list[str]
WhipAudioEncoderOptionsOpusType​
class WhipAudioEncoderOptionsOpusType(str, enum.Enum):
None
OPUS​
OPUS = <WhipAudioEncoderOptionsOpusType.OPUS: 'opus'>
Inherited Members​
- Enum:
namevalue
WhipInput​
class WhipInput:
Attributes:
- type_ (WhipInputType):
- bearer_token (None | str | Unset): Token used for authentication in WHIP protocol. If not provided, the random value will be generated and returned in the response.
- video (bool | None | Unset): If
true, accepts a h264-encoded video track. If not provided, it defaults totrue
init​
def __init__( type_: WhipInputType, bearer_token: None | str | Unset = <Unset object>, video: bool | None | Unset = <Unset object> )
Method generated by attrs for class WhipInput.
type_​
type_: WhipInputType
bearer_token​
bearer_token: None | str | Unset
video​
video: bool | None | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
WhipInputType​
class WhipInputType(str, enum.Enum):
None
WHIP_SERVER​
WHIP_SERVER = <WhipInputType.WHIP_SERVER: 'whip_server'>
Inherited Members​
- Enum:
namevalue
WhipOutput​
class WhipOutput:
Attributes:
- endpoint_url (str): WHIP server endpoint
- type_ (WhipOutputType):
- bearer_token (None | str | Unset):
- video (None | OutputWhipVideoOptions | Unset):
- audio (None | OutputWhipAudioOptions | Unset):
init​
def __init__( endpoint_url: str, type_: WhipOutputType, bearer_token: None | str | Unset = <Unset object>, video: None | OutputWhipVideoOptions | Unset = <Unset object>, audio: None | OutputWhipAudioOptions | Unset = <Unset object> )
Method generated by attrs for class WhipOutput.
endpoint_url​
endpoint_url: str
type_​
type_: WhipOutputType
bearer_token​
bearer_token: None | str | Unset
video​
video: None | OutputWhipVideoOptions | Unset
audio​
audio: None | OutputWhipAudioOptions | Unset
to_dict​
def to_dict(self) -> dict[str, typing.Any]
from_dict​
def from_dict(cls: type[~T], src_dict: Mapping[str, typing.Any]) -> ~T
WhipOutputType​
class WhipOutputType(str, enum.Enum):
None
WHIP_CLIENT​
WHIP_CLIENT = <WhipOutputType.WHIP_CLIENT: 'whip_client'>
Inherited Members​
- Enum:
namevalue